approvalRules

The approvalRules query in Bunny's GraphQL API, with its arguments, return type and an example request.

Scope required:

For a complete list of possible response fields see the ApprovalRuleConnection type.

query approvalRules ($after: String, $before: String, $first: Int, $last: Int, $filter: String, $sort: String, $viewId: ID, $format: String) {
  approvalRules (after: $after, before: $before, first: $first, last: $last, filter: $filter, sort: $sort, viewId: $viewId, format: $format) {
    edges {
      cursor
      node {
        active
        anyDiscount
        anyDiscountEnabled
        approverId
        billingPeriodEnabled
        fromDate
        id
        isRampEnabled
        name
        netPaymentDays
        netPaymentDaysEnabled
        overallQuoteDiscount
        overallQuoteDiscountEnabled
        planId
        planIdEnabled
        productId
        productIdEnabled
        requireUnanimousApproval
        toDate
        totalQuoteAmount
        totalQuoteAmountEnabled
        warrenId
      }
    }
    totalCount
    pageInfo {
      startCursor
      endCursor
      hasNextPage
      hasPreviousPage
    }
  }
}

ArgumentsLink to Arguments section

Name Type Description
after String Returns the elements in the list that come after the specified cursor.
before String Returns the elements in the list that come before the specified cursor.
first Int Returns the first n elements from the list.
last Int Returns the last n elements from the list.
filter String  
sort String  
viewId ID  
format String  

ResponseLink to Response section